org.eclipse.rdf4j.query.algebra.evaluation.function

## Class TupleFunctionRegistry

- java.lang.Object
- - org.eclipse.rdf4j.common.lang.service.ServiceRegistry<String,TupleFunction>
  - - org.eclipse.rdf4j.query.algebra.evaluation.function.TupleFunctionRegistry

-     public class TupleFunctionRegistry
      extends ServiceRegistry<String,TupleFunction>

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.common.lang.service.ServiceRegistry

      `logger, services`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TupleFunctionRegistry()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TupleFunctionRegistry` | `getInstance()` Gets the default TupleFunctionRegistry.
    `protected String` | `getKey(TupleFunction function)` Gets the key for the specified service.

    - ### Methods inherited from class org.eclipse.rdf4j.common.lang.service.ServiceRegistry

      `add, get, getAll, getKeys, has, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TupleFunctionRegistry

          public TupleFunctionRegistry()

  - ### Method Detail

    - #### getInstance

          public static TupleFunctionRegistry getInstance()

      Gets the default TupleFunctionRegistry.
      Returns:
        The default registry.

    - #### getKey

          protected String getKey(TupleFunction function)

      Description copied from class: `ServiceRegistry`
      Gets the key for the specified service.
      Specified by:
        `getKey` in class `ServiceRegistry<String,TupleFunction>`
      Parameters:
        `function` - The service to get the key for.
      Returns:
        The key for the specified service.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.